Itoo Software Forum

Author Topic: Forest Pack 5 and Windows XP compatibility ?  (Read 523 times)

QN2744

  • Newbie
  • *
  • Posts: 11
Forest Pack 5 and Windows XP compatibility ?
« on: April 15, 2016, 03:50:26 PM »
Hi,

I still have some render nodes with Windows XP 64bit, and after upgrading to Forest Pack 5, I started to receive the following error:

2016/04/15 14:41:51 INF 3dsmax adapter : ***WARNING*** Missing dll: forestpackpro.dlo - Forest Color
2016/04/15 14:41:51 INF 3dsmax adapter : ***WARNING*** Missing dll: forestpackpro.dlo - Forest Pro
2016/04/15 14:41:51 INF 3dsmax adapter : ***WARNING*** Missing dll: forestpackpro.dlo - Forest Pro
2016/04/15 14:41:51 INF 3dsmax adapter : ***WARNING*** Missing dll: forestpackpro.dlo - Forest Pro

2016/04/15 14:41:53 ERR Task error: 3dsmax adapter error : Autodesk 3dsMax 16.5 reported error: DLL <C:\Program Files\Autodesk\3ds Max 2014\plugins\ForestPackPro.dlo> failed to initialize.

It only happens on XP machines.
Any chance to get it working on these machines. (they are working fine with FP 4.41)

Thanks

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3148
    • iToo Software
Re: Forest Pack 5 and Windows XP compatibility ?
« Reply #1 on: April 15, 2016, 04:30:00 PM »
Hi, as far as i remember we have not changed any dependence in the plugin that would break the compatibility with XP.
Anyway, please try to reinstall the Visual Studio 2010 redistributable package:

https://www.microsoft.com/en-US/download/details.aspx?id=14632 (64 bit)
https://www.microsoft.com/en-us/download/details.aspx?id=5555 (32 bit)

Unfortunately we have not here any Windows XP with Max 2014 for testing...
Carlos Quintero
iToo Software

QN2744

  • Newbie
  • *
  • Posts: 11
Re: Forest Pack 5 and Windows XP compatibility ?
« Reply #2 on: April 15, 2016, 04:43:55 PM »
Tried to install VS2010 redistributable packages, but I already have newer versions installed.

Any idea ?  ;)

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3148
    • iToo Software
Re: Forest Pack 5 and Windows XP compatibility ?
« Reply #3 on: April 16, 2016, 10:38:18 AM »
Please, try this:

1) Download the Dependency Walker tool.
2) Run it from one the problematic render nodes.
3) Open Options->Configure Module Search Order.
4) Click the Browse button and pick your Max root folder.
5) Click Add Directory to add the Max path to the list, and close the dialog with Ok.
6) File->Open and pick ForestPackPro.dlo from the Max "plugins" folder.
7) Once dependency check is completed, use File->Save to save the results into a .dwi file and sent it to us.

Hopefully that should give us a clue about the problem.
Carlos Quintero
iToo Software

QN2744

  • Newbie
  • *
  • Posts: 11
Re: Forest Pack 5 and Windows XP compatibility ?
« Reply #4 on: April 18, 2016, 05:45:49 PM »
Done. Good Luck :)